import java.io.*;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.*;

public class FileProperties extends HttpServlet
{

    public FileProperties()
    {
    }

    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws IOException, ServletException
    {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        out.println("<html>");
        out.println("<head>");
        String title = "File Properties";
        out.println("<title>" + title + "</title>");
        out.println("</head>");
        out.println("<body bgcolor=\"white\">");
        out.println("<h3>" + title + "</h3>");
        String prefix = getServletContext().getRealPath("/");
        String file = request.getParameter("f");
        System.out.println("FileProperties servlet checks file " + file);
        System.err.println("FileProperties servlet checks file " + file);
        if(file == null)
        {
            out.println("Use: " + request.getRequestURI() + "?f=name");
        } else
        {
            File f = new File(prefix, file);
            out.println("file = " + file + "<br/>");
            out.println("exists = " + f.exists() + "<br/>");
            out.println("canRead = " + f.canRead() + "<br/>");
            out.println("canWrite = " + f.canWrite() + "<br/>");
        }
        out.println("</body>");
        out.println("</html>");
    }
}